NX Open C++ Reference Guide
|
Builder for creating Guided Extension surface in NX <br> To create a new instance of this class, use @link Tooling::GuidedExtensionManager::CreateBuilder Tooling::GuidedExtensionManager::CreateBuilder @endlink <br>
Default values. More...
Public Types | |
enum | SegmentType { SegmentTypeNormal, SegmentTypeTransition, SegmentTypeBypass } |
Segment type for segments. More... | |
Public Member Functions | |
double | AngleTolerance () |
Returns the angle tolerance for use in creating the guided extension surfaces Created in NX9.0.0. | |
void | ChangeGuideLineDirectionAndLength (NXOpen::Curve *guideLine, const NXOpen::Vector3d &guideLineVector, double guideLineLength) |
Changes the direction and length of a guide line. | |
bool | CheckSurfaces () |
Returns the option for checking the resulting guided extension surfaces for geometry issues Created in NX9.0.0. | |
NXOpen::Curve * | CreateGuideLine (NXOpen::Edge *assocEdge, const NXOpen::Point3d &guideLinePnt, const NXOpen::Vector3d &guideLineVector, double guideLineLength) |
Creates a guide line at one of the end points of the sheet edge in the selection. | |
double | DistanceTolerance () |
Returns the distance tolerance for use in creating the guided extension surfaces Created in NX9.0.0. | |
NXOpen::Expression * | ExtendLength () |
Returns the extend length for use in creating the guided extension surfaces Created in NX9.0.0. | |
NXOpen::Expression * | GuideLineAngle1 () |
Returns the rotation angle for the first guide line at one of the end points of the selected segment Created in NX9.0.0. | |
NXOpen::Expression * | GuideLineAngle2 () |
Returns the rotation angle for the second guide line at one of the end points of the selected segment Created in NX9.0.0. | |
void | MergeSegment () |
Merges the selected segment with its neighboring segments. | |
void | ResetAllSegments () |
The action that resets all the segments in the loop to their original state Created in NX9.0.0. | |
void | RestoreSegments () |
Unmerges the selected segment restoring the original segments before the merge using Tooling::GuidedExtensionBuilder::MergeSegment . | |
NXOpen::ScCollector * | SegmentEdges () |
Returns the list of segment edges that represent a segment Created in NX9.0.0. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance for use in creating the guided extension surfaces Created in NX9.0.0. | |
void | SetCheckSurfaces (bool checkSurfaces) |
Sets the option for checking the resulting guided extension surfaces for geometry issues Created in NX9.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance for use in creating the guided extension surfaces Created in NX9.0.0. | |
void | SetLastSelectedLoopIndex (int lastSelectedLoopIndex) |
Sets the loop index for the last selected loop which contains the last selected edge. | |
void | SetReverseExtendDirection (bool reverseExtendDirection) |
Reverses surface extend direction Created in NX9.0.0. | |
void | SetSelectedSegmentType (NXOpen::Tooling::GuidedExtensionBuilder::SegmentType segmentType) |
Sets the segment type for the selected segment. | |
NXOpen::Section * | SheetEdges () |
Returns the sheet edges of a sheet body Created in NX9.0.0. | |
void | SplitSegment () |
Splits the selected segment into multiple segments by placing guide lines at end points of the edges for the selected segment. | |
void | UpdateAllGuideLinesLength () |
Updates the length of all the guide lines whenever the user changes the extend length of the surfaces interactively. | |
void | UpdateSheetEdges () |
Updates the information for the sheet edges of the selected section whenever sheet edges are selected or de-selected. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder for creating Guided Extension surface in NX <br> To create a new instance of this class, use @link Tooling::GuidedExtensionManager::CreateBuilder Tooling::GuidedExtensionManager::CreateBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngleTolerance |
0.5 |
CheckSurfaces |
0 |
DistanceTolerance |
0.01 |
ExtendLength.Value |
10 (millimeters part), 10 (inches part) |
GuideLineAngle1.Value |
0 |
GuideLineAngle2.Value |
0 |
Created in NX9.0.0.
double NXOpen::Tooling::GuidedExtensionBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance for use in creating the guided extension surfaces
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
void NXOpen::Tooling::GuidedExtensionBuilder::ChangeGuideLineDirectionAndLength | ( | NXOpen::Curve * | guideLine, |
const NXOpen::Vector3d & | guideLineVector, | ||
double | guideLineLength | ||
) |
Changes the direction and length of a guide line.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
guideLine | Guide line to be changed |
guideLineVector | Direction vector |
guideLineLength | Length of guide line |
bool NXOpen::Tooling::GuidedExtensionBuilder::CheckSurfaces | ( | ) |
Returns the option for checking the resulting guided extension surfaces for geometry issues
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
NXOpen::Curve* NXOpen::Tooling::GuidedExtensionBuilder::CreateGuideLine | ( | NXOpen::Edge * | assocEdge, |
const NXOpen::Point3d & | guideLinePnt, | ||
const NXOpen::Vector3d & | guideLineVector, | ||
double | guideLineLength | ||
) |
Creates a guide line at one of the end points of the sheet edge in the selection.
assocEdge | Associated curve of the guide line to be created |
guideLinePnt | Guide line point |
guideLineVector | Guide line vector |
guideLineLength | Guide line length |
double NXOpen::Tooling::GuidedExtensionBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance for use in creating the guided extension surfaces
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
NXOpen::Expression* NXOpen::Tooling::GuidedExtensionBuilder::ExtendLength | ( | ) |
Returns the extend length for use in creating the guided extension surfaces
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
NXOpen::Expression* NXOpen::Tooling::GuidedExtensionBuilder::GuideLineAngle1 | ( | ) |
Returns the rotation angle for the first guide line at one of the end points of the selected segment
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
NXOpen::Expression* NXOpen::Tooling::GuidedExtensionBuilder::GuideLineAngle2 | ( | ) |
Returns the rotation angle for the second guide line at one of the end points of the selected segment
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
void NXOpen::Tooling::GuidedExtensionBuilder::MergeSegment | ( | ) |
Merges the selected segment with its neighboring segments.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
void NXOpen::Tooling::GuidedExtensionBuilder::ResetAllSegments | ( | ) |
The action that resets all the segments in the loop to their original state
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
void NXOpen::Tooling::GuidedExtensionBuilder::RestoreSegments | ( | ) |
Unmerges the selected segment restoring the original segments before the merge using Tooling::GuidedExtensionBuilder::MergeSegment .
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
NXOpen::ScCollector* NXOpen::Tooling::GuidedExtensionBuilder::SegmentEdges | ( | ) |
Returns the list of segment edges that represent a segment
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
void NXOpen::Tooling::GuidedExtensionBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance for use in creating the guided extension surfaces
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
angleTolerance | angletolerance |
void NXOpen::Tooling::GuidedExtensionBuilder::SetCheckSurfaces | ( | bool | checkSurfaces | ) |
Sets the option for checking the resulting guided extension surfaces for geometry issues
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
checkSurfaces | checksurfaces |
void NXOpen::Tooling::GuidedExtensionBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance for use in creating the guided extension surfaces
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
distanceTolerance | distancetolerance |
void NXOpen::Tooling::GuidedExtensionBuilder::SetLastSelectedLoopIndex | ( | int | lastSelectedLoopIndex | ) |
Sets the loop index for the last selected loop which contains the last selected edge.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
lastSelectedLoopIndex | Loop index of the last selected loop |
void NXOpen::Tooling::GuidedExtensionBuilder::SetReverseExtendDirection | ( | bool | reverseExtendDirection | ) |
Reverses surface extend direction
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
reverseExtendDirection | Reverse surface extend direction |
void NXOpen::Tooling::GuidedExtensionBuilder::SetSelectedSegmentType | ( | NXOpen::Tooling::GuidedExtensionBuilder::SegmentType | segmentType | ) |
Sets the segment type for the selected segment.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
segmentType | Segment type for the selected segment |
NXOpen::Section* NXOpen::Tooling::GuidedExtensionBuilder::SheetEdges | ( | ) |
Returns the sheet edges of a sheet body
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
void NXOpen::Tooling::GuidedExtensionBuilder::SplitSegment | ( | ) |
Splits the selected segment into multiple segments by placing guide lines at end points of the edges for the selected segment.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
void NXOpen::Tooling::GuidedExtensionBuilder::UpdateAllGuideLinesLength | ( | ) |
Updates the length of all the guide lines whenever the user changes the extend length of the surfaces interactively.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
void NXOpen::Tooling::GuidedExtensionBuilder::UpdateSheetEdges | ( | ) |
Updates the information for the sheet edges of the selected section whenever sheet edges are selected or de-selected.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")